# ShinyRateBoosterModifier | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class ShinyRateBoosterModifier

#### Hierarchy (View Summary)

- PersistentModifier
  - ShinyRateBoosterModifier

- Defined in src/modifier/modifier.ts:3037

##### Index

### Constructors

constructor

### Properties

stackCount
type
virtualStackCount

### Methods

add
apply
clone
getArgs
getIcon
getIconStackText
getMaxStackCount
getStackCount
incrementStack
isIconVisible
match
shouldApply

## Constructors

### constructor

- new ShinyRateBoosterModifier(
  type: ModifierType ,
  stackCount?: number,
  ): ShinyRateBoosterModifier

  #### Parameters

  - type: ModifierType
  - stackCount: number = 1

  #### Returns ShinyRateBoosterModifier

  Inherited from PersistentModifier.constructor

  - Defined in src/modifier/modifier.ts:189

## Properties

### stackCount

stackCount: number

Inherited from PersistentModifier.stackCount

- Defined in src/modifier/modifier.ts:186

### type

type: ModifierType

Inherited from PersistentModifier.type

- Defined in src/modifier/modifier.ts:159

### virtualStackCount

virtualStackCount: number

Inherited from PersistentModifier.virtualStackCount

- Defined in src/modifier/modifier.ts:187

## Methods

### add

- add(modifiers: PersistentModifier [], virtual: boolean): boolean

  #### Parameters

  - modifiers: PersistentModifier []
  - virtual: boolean

  #### Returns boolean

  Inherited from PersistentModifier.add

  - Defined in src/modifier/modifier.ts:195

### apply

- apply(boost: NumberHolder ): boolean

  Applies ShinyRateBoosterModifier

  #### Parameters

  - boost: NumberHolder

    `NumberHolder` holding the boost value

  #### Returns boolean

  always `true`

  Overrides PersistentModifier.apply

  - Defined in src/modifier/modifier.ts:3051

### clone

- clone(): ShinyRateBoosterModifier

  #### Returns ShinyRateBoosterModifier

  Overrides PersistentModifier.clone

  - Defined in src/modifier/modifier.ts:3042

### getArgs

- getArgs(): any[]

  #### Returns any[]

  Inherited from PersistentModifier.getArgs

  - Defined in src/modifier/modifier.ts:212

### getIcon

- getIcon(_forSummary?: boolean): Container

  #### Parameters

  - `Optional`_forSummary: boolean

  #### Returns Container

  Inherited from PersistentModifier.getIcon

  - Defined in src/modifier/modifier.ts:239

### getIconStackText

- getIconStackText(virtual?: boolean): null | BitmapText

  #### Parameters

  - `Optional` virtual: boolean

  #### Returns null | BitmapText

  Inherited from PersistentModifier.getIconStackText

  - Defined in src/modifier/modifier.ts:260

### getMaxStackCount

- getMaxStackCount(): number

  #### Returns number

  Overrides PersistentModifier.getMaxStackCount

  - Defined in src/modifier/modifier.ts:3057

### getStackCount

- getStackCount(): number

  #### Returns number

  Inherited from PersistentModifier.getStackCount

  - Defined in src/modifier/modifier.ts:229

### incrementStack

- incrementStack(amount: number, virtual: boolean): boolean

  #### Parameters

  - amount: number
  - virtual: boolean

  #### Returns boolean

  Inherited from PersistentModifier.incrementStack

  - Defined in src/modifier/modifier.ts:216

### isIconVisible

- isIconVisible(): boolean

  #### Returns boolean

  Inherited from PersistentModifier.isIconVisible

  - Defined in src/modifier/modifier.ts:235

### match

- match(modifier: Modifier ): boolean

  #### Parameters

  - modifier: Modifier

  #### Returns boolean

  Overrides PersistentModifier.match

  - Defined in src/modifier/modifier.ts:3038

### shouldApply

- shouldApply(..._args: [boost: NumberHolder ]): boolean

  Checks if `Modifier` should be applied

  #### Parameters

  - ..._args: [boost: NumberHolder ]

    parameters passed to `Modifier.apply`

  #### Returns boolean

  always `true` by default

  Inherited from PersistentModifier.shouldApply

  - Defined in src/modifier/modifier.ts:174